Subject: Re: bug#52507: [PATCH] Option for vc-delete-file to keep file on disk

From: Ashwin Kafle <[email-masked]>
Date: Sun, 26 Dec 2021 14:23:18 +0000

Juri Linkov <[email-masked]> writes:

> --cached can't be used anyway, because vc commands doesn't use the git index.

It's not --cached that is the problem.  Even the unpatched
vc-delete-file effectively uses --cached because the file is removed
while backuping and never brought back for git to delete it.

Say you use the current vc-delete-file and then immediately restore it
from backup (before commiting).  VC will show the file as unregistered.
I think this behavior of vc should be fixed instead.